Loading...
Searching...
No Matches
HaarFeatureDescriptor32 Struct Reference

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp>`

## Public Member Functions

__host__ NCVStatus | create (NcvBool bTilted, NcvBool bLeftLeaf, NcvBool bRightLeaf, Ncv32u numFeatures, Ncv32u offsetFeatures)
__device__ __host__ NcvBool | isTilted () const
__device__ __host__ NcvBool | isLeftNodeLeaf () const
__device__ __host__ NcvBool | isRightNodeLeaf () const
__device__ __host__ Ncv32u | getNumFeatures () const
__device__ __host__ Ncv32u | getFeaturesOffset () const

## Detailed Description

Definition at line 106 of file NCVHaarObjectDetection.hpp.

## Member Function Documentation

## create()

__host__ NCVStatus HaarFeatureDescriptor32::create | ( | NcvBool | bTilted,
|  | NcvBool | bLeftLeaf,
|  | NcvBool | bRightLeaf,
|  | Ncv32u | numFeatures,
|  | Ncv32u | offsetFeatures )

inline

Definition at line 121 of file NCVHaarObjectDetection.hpp.

## getFeaturesOffset()

__device__ __host__ Ncv32u HaarFeatureDescriptor32::getFeaturesOffset | ( |  | ) | const

inline

Definition at line 161 of file NCVHaarObjectDetection.hpp.

## getNumFeatures()

__device__ __host__ Ncv32u HaarFeatureDescriptor32::getNumFeatures | ( |  | ) | const

inline

Definition at line 156 of file NCVHaarObjectDetection.hpp.

## isLeftNodeLeaf()

__device__ __host__ NcvBool HaarFeatureDescriptor32::isLeftNodeLeaf | ( |  | ) | const

inline

Definition at line 146 of file NCVHaarObjectDetection.hpp.

## isRightNodeLeaf()

__device__ __host__ NcvBool HaarFeatureDescriptor32::isRightNodeLeaf | ( |  | ) | const

inline

Definition at line 151 of file NCVHaarObjectDetection.hpp.

## isTilted()

__device__ __host__ NcvBool HaarFeatureDescriptor32::isTilted | ( |  | ) | const

inline

Definition at line 141 of file NCVHaarObjectDetection.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp